local fn = _gn(0x8EDF950167586B7C)
--- x2,y2 and z2 are the coordinates to which the ped should look at
-- @param id is an integer that "identifies" the route node for linking to the route with ADD_PATROL_ROUTE_LINK.
-- @param guardScenario can be "WORLD_HUMAN_GUARD_STAND" or "StandGuard"
-- @param x1 destination
-- @param y1 destination
-- @param z1 destination
-- @param x2 coordinates to which the ped should look
-- @param y2 coordinates to which the ped should look
-- @param z2 coordinates to which the ped should look
-- @param waitTime written in ms
function Global.AddPatrolRouteNode(id, guardScenario, x1, y1, z1, x2, y2, z2, waitTime)
	return _in2(fn, id, _ts(guardScenario), x1, y1, z1, x2, y2, z2, waitTime)
end
